libcwd: The C++ Debugging Support Library - Reference Manual
Author: Carlo Wood
Description: C++ debugging support library with ostream debug output
Keywords: libcwd, debug output, debug facility, debug channel, object orientation, OO, C++, nested debug output, ostream, memory allocation, debugging, source file and line number

Main Page Reference Manual Namespace List Compound List Namespace Members Compound Members File Members

# libcwd::marker_ct Class Reference
[Memory Allocation Markers: Memory Leak Checking]

A memory allocation marker. More...

`#include <class_marker.h>`

List of all members.

## Public Member Functions
| marker_ct (char const *label, alloc_filter_ct const &filter, bool make_invisible=false)
| Construct a marker with label `label`.
| marker_ct (char const *label)
| Construct a marker with label `label`.
| marker_ct (alloc_filter_ct const &filter, bool make_invisible=false)
| Construct a marker with label "An allocation marker".
| marker_ct (void)
| Construct a marker with label "An allocation marker".

## Detailed Description

A memory allocation marker.

## Constructor & Destructor Documentation

libcwd::marker_ct::marker_ct | ( | char const * | label,
|  | alloc_filter_ct const & | filter,
|  | bool | make_invisible = `false` |
| ) |  |  | `[inline]`

Construct a marker with label `label`.

The filter must exist until the marker is deleted; it is used by the destructor of the marker. Allocations that are hidden as a result of the filter will be placed outside the marker. Allocations done after the creation of the marker which are not deleted when the marker gets destructed and which are not hidden by the filter will be listed.

If make_invisible is set true then all filtered allocations will be made invisible at the destruction of the marker.

libcwd::marker_ct::marker_ct | ( | alloc_filter_ct const & | filter,
|  | bool | make_invisible = `false` |
| ) |  |  | `[inline]`

Construct a marker with label "An allocation marker".

The filter must exist until the marker is deleted; it is used by the destructor of the marker. Allocations that are hidden as a result of the filter will be placed outside the marker. Allocations done after the creation of the marker which are not deleted when the marker gets destructed and which are not hidden by the filter will be listed.

If make_invisible is set true then all filtered allocations will be made invisible at the destruction of the marker.